/***************************************************************************
                          ksorcery.h
                             -------------------
    begin                : Sun May 12 17:28:01 EDT 2002
    copyright            : (C) 2002 by Zach Hobbs
    email                : zach@firstwavedesign.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KSORCERY_H
#define KSORCERY_H

#ifdef HAVE_CONFIG_H
#include <config.h>
#endif


#include <qmainwindow.h>
#include <qsplitter.h>
#include <qtabwidget.h>
#include <qstring.h>
#include <qfile.h>
#include <kregexp.h>

#include "kspelledit.h"
#include "kspelllist.h"
#include "kspellinfo.h"
#include "kspellqueue.h"

/** Ksorcery is the base class of the project */
class Ksorcery : public QMainWindow
{
  Q_OBJECT 
  public:
    
    Ksorcery(QWidget* parent=0, const char *name=0);
    ~Ksorcery();
    
  private slots:
    void execCmd( QString * );
  
  private:
    KSpellList* spelllist;
    KSpellInfo* spellinfo;

};

#endif
