/***************************************************************************
                          kspelllistitem.cpp  -  description
                             -------------------
    begin                : Fri May 17 2002
    copyright            : (C) 2002 by Zach Hobbs
    email                : zach@firstwavedesign.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "kspelllistitem.h"

KSpellListItem::KSpellListItem( QListViewItem* parent, QColor textcolor, QString label1, 
	QString label2, QString label3, QString label4, 
	QString label5, QString label6, QString label7, 
	QString label8 )
 : KListViewItem( parent, label1, label2, label3, label4, label5, label6, label7, 
	label8 ) {
   
   color = textcolor; 
   
}
KSpellListItem::~KSpellListItem(){
}
void KSpellListItem::paintCell( QPainter * p, const QColorGroup & cg, int column, 
	int width, int align )
	{
		QColorGroup _cg( cg );
		QColor oldColor = _cg.text();
		_cg.setColor(QColorGroup::Text, color);
		KListViewItem::paintCell( p, _cg, column, width, align );

		_cg.setColor(QColorGroup::Text, oldColor);
}

