/***************************************************************************
                          kfileedit.h  -  description
                             -------------------
    begin                : Sun May 12 2002
    copyright            : (C) 2002 by Zach Hobbs
    email                : zach@firstwavedesign.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/


#ifndef KFILEEDIT_H
#define KFILEEDIT_H

#include <qwidget.h>
#include <qtextedit.h>
#include <qfile.h>
#include <qfileinfo.h>

class KFileEdit : public QTextEdit {
Q_OBJECT
public:
  KFileEdit( QWidget * parent=0, QString fileName = 0 );
  ~KFileEdit();
  void clear();

public slots:
  bool openFile( QString );
  bool saveFile();

private:
  QString file;

};

#endif
