/***************************************************************************
                          kspelledit.h
                             -------------------
    begin                : Tue Jan 21 2003
    copyright            : (C) 2003 by Zach Hobbs
    email                : zach@firstwavedesign.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KSPELLEDIT_H
#define KSPELLEDIT_H

#include <qwidget.h>
#include <qlayout.h>
#include <qpushbutton.h>
#include <qcombobox.h>
#include <qlistview.h>
#include <qlabel.h>
#include <qdir.h>
#include <kglobalsettings.h>
#include <qfont.h>

#include "kfileedit.h"
/**
  *@author Zach Hobbs
  */

class KSpellEdit : public QWidget  {

Q_OBJECT

public: 
   KSpellEdit(QWidget *parent=0, const char *name=0);
  ~KSpellEdit();

private:
  KFileEdit *editBox;
  QPushButton *saveButton;
  QComboBox *fileSelect;
  QLabel *spellName;
  QLabel *spellPath;


public slots:
  void updateFileList( QListViewItem * );

private slots:
  void changeSaveButton( bool );
  void changeFile( int );
};

#endif
