/***************************************************************************
                          kspellqueue.h
                             -------------------
    begin                : Tue Jan 21 2003
    copyright            : (C) 2003 by Zach Hobbs
    email                : zach@firstwavedesign.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KSPELLQUEUE_H
#define KSPELLQUEUE_H

#include <qwidget.h>
#include <qlayout.h>
#include <qpushbutton.h>

#include "kfileedit.h"
/**
  *@author Zach Hobbs
  */

class KSpellQueue : public QWidget  {

Q_OBJECT

public: 
   KSpellQueue(QWidget *parent=0, const char *name=0);
  ~KSpellQueue();

private:
  KFileEdit *editBox;
  QPushButton *saveButton;
signals:
   void actionTaken( QString * ); 

public slots:
   void addItem( QString * );

private slots:
  void castQueue();
  void changeSaveButton( bool );

};

#endif
