/***************************************************************************
                          main.cpp
                             -------------------
    begin                : Sun May 12 17:28:01 EDT 2002
    copyright            : (C) 2002 by Zach Hobbs
    email                : zach@firstwavedesign.com
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include <kapp.h>
#include "ksorcery.h"
#include "../config.h"
#include <kcmdlineargs.h>
#include <kaboutdata.h>

int main(int argc, char *argv[])
{
  KAboutData aboutData ( "ksorcery", 
			 "KSorcery",
			 VERSION,
			 "KSorcery is a frontend for the tools of the Source Mage distrobution",
			 KAboutData::License_GPL,
			 "(c) 2002, Zach Hobbs",
			 "KSorcery is a frontend for the tools of the Source Mage distrobution" );


  KCmdLineArgs::init( argc, argv, &aboutData );

  KApplication app( argc, argv );
  
  Ksorcery *ksorcery = new Ksorcery();
  app.setMainWidget(ksorcery);
  ksorcery->adjustSize();
  ksorcery->show();
  return app.exec();


}
